package cn.iocoder.yudao.module.system.controller.app.attendance.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

@Data
@Accessors(chain = true)
public class TeamAttendanceStatisticsByCycleVO {

    @Schema(description = "平均工作时间")
    private List<TeamAttendancePunchStatisticsVO> averageWorkingHoursList;

    @Schema(description = "迟到")
    private List<TeamAttendancePunchStatisticsVO> beLateList;

    @Schema(description = "早退")
    private List<TeamAttendancePunchStatisticsVO> leaveEarlyList;

    @Schema(description = "缺卡")
    private List<TeamAttendancePunchStatisticsVO> missingCardList;

    @Schema(description = "旷工")
    private List<TeamAttendancePunchStatisticsVO> absenteeismList;

    @Schema(description = "外勤")
    private List<TeamAttendancePunchStatisticsVO> fieldServiceList;


    @Data
    public static class TeamAttendanceStatisticsNumVO {
        @Schema(description = "平均工时")
        private BigDecimal averageWorkingHours;

        @Schema(description = "迟到次数")
        private Integer beLateNum;

        @Schema(description = "早退次数")
        private Integer leaveEarlyNum;

        @Schema(description = "缺卡次数")
        private Integer missingCardNum;

        @Schema(description = "旷工次数")
        private Integer absenteeismNum;

        @Schema(description = "外勤次数")
        private Integer fieldServiceNum;
    }
}
